---
name: group_push_rules_prevent_secrets_updated
description: Triggered when a group's push rule setting is updated to prevent pushing secret files
introduced_by_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/227629
introduced_by_mr: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/86046
feature_category: source_code_management
milestone: '15.0'
saved_to_database: true
streamed: true
scope: [Group]
